---
Debugger:
  DebugThreshold: debug
  TestMode: '0'
Description: Ticket Connector REST Sample
FrameworkVersion: 6.0.x git
Provider:
  Operation:
    SessionCreate:
      Description: Create a Session
      MappingInbound: {}
      MappingOutbound: {}
      Type: Session::SessionCreate
    SessionGet:
      Description: Retreive Session data
      MappingInbound: {}
      MappingOutbound: {}
      Type: Session::SessionGet
    TicketCreate:
      Description: Create a Ticket
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketCreate
    TicketGet:
      Description: Retrieve Ticket data
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketGet
    TicketGetList:
      Description: Retrieve Ticket data for a List of Ticket IDs
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketGet
    TicketHistoryGet:
      Description: Retrieve Ticket history data
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketHistoryGet
    TicketSearch:
      Description: Search for Tickets
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketSearch
    TicketUpdate:
      Description: Update a Ticket
      MappingInbound: {}
      MappingOutbound: {}
      Type: Ticket::TicketUpdate
  Transport:
    Config:
      KeepAlive: ''
      MaxLength: '100000000'
      RouteOperationMapping:
        SessionCreate:
          RequestMethod:
          - POST
          Route: /Session
        SessionGet:
          RequestMethod:
          - GET
          Route: /Session/:SessionID
        TicketCreate:
          RequestMethod:
          - POST
          Route: /Ticket
        TicketGet:
          RequestMethod:
          - GET
          Route: /Ticket/:TicketID
        TicketGetList:
          RequestMethod:
          - GET
          Route: /TicketList
        TicketHistoryGet:
          RequestMethod:
          - GET
          Route: /TicketHistory/:TicketID
        TicketSearch:
          RequestMethod:
          - GET
          Route: /Ticket
        TicketUpdate:
          RequestMethod:
          - PATCH
          Route: /Ticket/:TicketID
    Type: HTTP::REST
RemoteSystem: ''
Requester:
  Transport:
    Type: ''
